#! /bin/sh

libdir=/usr/local/lib
realname=libLEPC.so.0.7.?
soname=libLEPC.so.0
linkername=libLEPC.so
realname2=libLEPC2.so.0.7.?
soname2=libLEPC2.so.0
linkername2=libLEPC2.so

cp lib_x86/$realname $libdir
cp lib_x86/$realname2 $libdir
ldconfig

LD_SUCCESS=`ldconfig -p | grep libLEPC | wc -l`
if [ $LD_SUCCESS -eq 0 ]; then
    echo "adding /usr/local/lib to library path.."
    echo $libdir > /etc/ld.so.confd/LE-local-lib.conf 
    ldconfig
fi

ln -sf $libdir/$soname $libdir/$linkername
ln -sf $libdir/$soname2 $libdir/$linkername2
echo "Installed."
